Update campaign settings

PATCH
/advanced/campaigns/{campaignId}/settings

Merges the given settings into the campaign schedule. Not allowed while RUNNING. Rules: start must be before end; dailyEmailLimit must be greater than or equal to dailyEmailAdded; dailyLinkedinAdded is capped at 40 when the sequence contains a CONNECTION step (80 otherwise). Returns the updated campaign.

Authorization

apiKey
Authorization<token>

Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.

In: header

Path Parameters

campaignId*string

Identifier of a multichannel campaign (24 hexadecimal characters), as returned by POST /advanced/campaigns or GET /advanced/campaigns.

Match^[0-9a-fA-F]{24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/advanced/campaigns/6650f1a2b839d80011c5a0f1/settings" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "settings": {      "trackLinks": false,      "trackOpens": false,      "blacklistUnsub": true,      "dailyEmailAdded": 30,      "dailyEmailLimit": 100,      "dailyLinkedinAdded": 20,      "timeZone": "Europe/Paris",      "days": [        0,        1,        2,        3,        4      ],      "start": "08:30",      "end": "18:00",      "eventToStop": [        "MAIL_REPLIED",        "LINKEDIN_REPLIED"      ]    }  }'
{  "success": true,  "campaign": {    "_id": "6650f1a2b839d80011c5a0f1",    "name": "Q4 outreach: SaaS founders",    "status": "DRAFT",    "tagIds": [      "6650f1a2b839d80011c5a0f1"    ],    "identities": [      {        "_id": "6650f1a2b839d80011c5a0f1",        "userId": "6650f1a2b839d80011c5a0f1",        "name": "Marie Martin",        "email": "6650f1a2b839d80011c5a0f1",        "linkedin": "6650f1a2b839d80011c5a0f1",        "whatsapp": "6650f1a2b839d80011c5a0f1"      }    ],    "schedule": {      "dailyEmailAdded": 35,      "dailyEmailLimit": 100,      "dailyLinkedinAdded": 20,      "dailyWhatsappAdded": 20,      "bcc": "",      "trackLinks": false,      "trackOpens": false,      "timeZone": "Europe/Brussels",      "days": [        0,        1,        2,        3,        4      ],      "start": "08:00",      "end": "17:00",      "blacklistUnsub": false,      "excludeAlreadyMessaged": true,      "eventToStop": [        "VISITED"      ],      "alwaysOn": false,      "ignoreAutoReplies": false    },    "steps": {      "_id": "6650f1a2b839d800738c8e79",      "stepType": "START",      "delay": {        "amount": 1,        "unit": "MINUTES"      },      "identities": [        "6650f1a2b839d800c4ad78e1"      ],      "versions": [        {          "_id": "6650f1a2b839d80061ffa284",          "subject": "Quick question about Nexora",          "message": "Hi Claire, thanks for your reply. Are you free for a call on Thursday?",          "disabled": false,          "rawHtml": true,          "attachments": [            {              "mediaType": "MEDIA"            }          ]        }      ],      "cc": "",      "conditions": {        "field": "MAIL_REPLIED",        "operator": "EQUAL"      },      "next": {        "_id": "6650f1a2b839d800db5ebfa8",        "stepType": "START",        "delay": {          "amount": 1,          "unit": "MINUTES"        },        "identities": [          "6650f1a2b839d800e60a709c"        ],        "versions": [          {            "_id": "6650f1a2b839d80069bcea47",            "subject": "Quick question about Nexora",            "message": "Hi Claire, thanks for your reply. Are you free for a call on Thursday?",            "disabled": false,            "rawHtml": true,            "attachments": []          }        ],        "cc": "",        "conditions": {          "field": "MAIL_REPLIED",          "operator": "EQUAL"        },        "next": {          "_id": "6650f1a2b839d8006f3f4cf7",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d8002afcd407"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d800be025a62",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d800d66b0e86",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d8007d4f87d0",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        },        "yes": {          "_id": "6650f1a2b839d800ac9b82b5",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d8001b26d55d"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d80044576ddc",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d8001d721aa4",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d800de92ba26",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        },        "no": {          "_id": "6650f1a2b839d80025f91939",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d800a41d81a1"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d8003de932e8",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d800ff6e8d48",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d8005553616a",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        }      },      "yes": {        "_id": "6650f1a2b839d8006c228008",        "stepType": "START",        "delay": {          "amount": 1,          "unit": "MINUTES"        },        "identities": [          "6650f1a2b839d800c32d0efc"        ],        "versions": [          {            "_id": "6650f1a2b839d8006e1fe027",            "subject": "Quick question about Nexora",            "message": "Hi Claire, thanks for your reply. Are you free for a call on Thursday?",            "disabled": false,            "rawHtml": true,            "attachments": []          }        ],        "cc": "",        "conditions": {          "field": "MAIL_REPLIED",          "operator": "EQUAL"        },        "next": {          "_id": "6650f1a2b839d800761a0cd7",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d8000aec6567"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d800447d29c2",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d8002dfc5ce6",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d800e1f3ffb0",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        },        "yes": {          "_id": "6650f1a2b839d800f9659915",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d80084b3603d"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d80008e9d5bc",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d80004619884",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d8001b596a86",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        },        "no": {          "_id": "6650f1a2b839d8009b912d19",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d800c3847301"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d800a52c6ec8",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d800d62ec0a8",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d8005d65cfca",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        }      },      "no": {        "_id": "6650f1a2b839d8005817272a",        "stepType": "START",        "delay": {          "amount": 1,          "unit": "MINUTES"        },        "identities": [          "6650f1a2b839d800a8ab4b96"        ],        "versions": [          {            "_id": "6650f1a2b839d80013f3f339",            "subject": "Quick question about Nexora",            "message": "Hi Claire, thanks for your reply. Are you free for a call on Thursday?",            "disabled": false,            "rawHtml": true,            "attachments": []          }        ],        "cc": "",        "conditions": {          "field": "MAIL_REPLIED",          "operator": "EQUAL"        },        "next": {          "_id": "6650f1a2b839d8005fa8071d",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d800d7d67e45"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d80095424704",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d8005274960c",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d800a24d236e",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        },        "yes": {          "_id": "6650f1a2b839d8007a5b5c0f",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d800275b907f"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d8008fd0d3ba",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d8009543f45e",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d800aeb4b288",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        },        "no": {          "_id": "6650f1a2b839d800269b91e3",          "stepType": "START",          "delay": {            "amount": 1,            "unit": "MINUTES"          },          "identities": [            "6650f1a2b839d800341e3fb3"          ],          "versions": [            {}          ],          "cc": "",          "conditions": {            "field": "MAIL_REPLIED",            "operator": "EQUAL"          },          "next": {            "_id": "6650f1a2b839d8007b27d3c6",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "yes": {            "_id": "6650f1a2b839d800cad2b9e2",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          },          "no": {            "_id": "6650f1a2b839d80002b6d29c",            "stepType": "START",            "delay": {              "unit": "MINUTES"            },            "identities": [],            "versions": [],            "cc": "",            "conditions": {              "operator": "EQUAL"            },            "next": {              "stepType": "START"            },            "yes": {              "stepType": "START"            },            "no": {              "stepType": "START"            }          }        }      }    },    "recipients": {      "lists": [        {          "_id": "6650f1a2b839d80011c5a0f1",          "name": "Q4 outreach: SaaS founders",          "contactCount": 1        }      ],      "excludedLists": [        {          "_id": "6650f1a2b839d80011c5a0f1",          "name": "Q4 outreach: SaaS founders",          "contactCount": 1        }      ],      "processing": true    },    "zapierData": [      {        "_id": "6650f1a2b839d80011c5a0f1",        "webhookUrl": "https://hooks.yourcompany.com/emelia",        "events": []      }    ],    "hubspotIntegration": {},    "pipedriveIntegration": {},    "createdAt": "2026-10-06T09:30:00.000Z",    "startAt": "2026-10-06T09:30:00.000Z",    "estimatedEnd": "2026-10-06T09:30:00.000Z",    "plannedStart": "2026-10-06T09:30:00.000Z"  }}